Subject: Re: why does pkg_install continue to use GNU Tar?!?!?!?!
To: Alistair Crooks <>
From: Rick Kelly <>
List: tech-userlevel
Date: 05/07/2002 16:28:50
Alistair Crooks said:

>The issue with pax(1) is its support for the GNU tar -C extension.
>Each package with a @cwd directive in its PLIST needs this to
>function correctly. We are moving to eradicate these from pkgsrc,
>but haven't finished the transition yet.

While not really germane to installing NetBSD from booted NetBSD
media, I do wonder about the portability of pax across operating
systems. Solaris appears to use the same pax that it had in SunOS 4.1.1,
which would be based on the original simplistic pax written in 1989.
NetBSD pax is based on what is obviously a rewrite from the late nineties,
which a number of features that are not part of the original effort.

For those who want to use NetBSD pkgsrc on other UNIX operating systems,
we might want to include the current NetBSD pax as a package in

Rick Kelly